XARCHIVER(1)

NAME
xarchiver - GTK+ front end for archive management

SYNOPSIS
xarchiver [OPTION] [archive]

DESCRIPTION
Xarchiver is a lightweight desktop environment independent GTK+ front end for handling 7z, a (libraries), apk, arj, bzip, bzip2, bzip3, cab, cb7, cbr, cbt, cbz, chm, compress, cpio, docx, epub, exe (self-extracting Windows archives), fbz, gzip, iso, jar, jsonlz4, lha, lrzip, lz4, lzip, lzma, lzop, mozlz4, odt, oxt, rar, rzip, snap, squashfs, tar, xpi, xz, zip, zpaq, zstd, tar.bz, tar.bz2, tar.bz3, tar.gz, tar.lrz, tar.lz, tar.lz4, tar.lzma, tar.lzo, tar.rz, tar.xz, tar.Z, tar.zst and (without their package managers) deb and rpm files.
It recognizes file types by their file signature (magic number), not by their extension, and uses various (de)compressor/(un)archiver command line programs at runtime. It allows to list, test and create archives, add and copy files to them, extract, delete, cut and drag files from them, edit files in them, and paste and drop files into them. Password protected 7z, arj, lrzip, rar and zip archives are supported and will be recognized.

OPTIONS

-a, --add
    add to archive by asking which files and quit

-c, --compress=file1 ... fileN
    add the given files by asking the name of the archive and quit

-d, --ensure-directory
    extract archive to a containing directory and quit

-e, --extract
    extract archive by asking the extraction directory and quit

-m, --multi-extract
    extract multiple archives by asking the extraction directory and quit

-x, --extract-to=destination
    extract archive to the destination directory and quit

-i, --info
    show found command-line programs to be used and exit

-v, --version
    show version and exit

--display=DISPLAY
    X display to use

-?, -h, --help
    show help options

--help-gtk
    show GTK+ options

--help-all
    show all help options

AUTHOR
Ingo Brückl, (Giuseppe Torelli until 2014)

REPORTING BUGS
<https://github.com/ib/xarchiver/issues>